/*
 * @Author: your name
 * @Date: 2020-11-24 11:24:06
 * @LastEditTime: 2020-12-04 10:48:48
 * @LastEditors: your name
 * @Description: In User Settings Edit
 * @FilePath: \tostumi\config\defaultSettings.ts
 */
import { Settings as ProSettings } from '@ant-design/pro-layout';

type DefaultSettings = ProSettings & {
  pwa: boolean;
};

const proSettings: DefaultSettings = {
  navTheme: 'dark',
  // 拂晓蓝
  primaryColor: '#1890ff',
  layout: 'sidemenu',
  contentWidth: 'Fluid',
  fixedHeader: false,
  fixSiderbar: false,
  colorWeak: false,
  menu: {
    locale: true,
  },
  title: 'TOS Management',
  pwa: false,
  iconfontUrl: '',
};

export type { DefaultSettings };

export default proSettings;
