export const validateMessages = {
  required: '*it is required!',
  types: {
    email: 'It is not validate email!',
    number: '${label} is not a validate number!',
    string: '${label} is not a validate number!',
  },
  string: {
    range: 'It must be between ${min} and ${max}',
  },
  number: {
    range: '${label} must be between ${min} and ${max}',
  },
  phone: {
    range: 'It has to be an 8 digit number or an 11 digit number!',
  },
};

export const requestList = [
  ['/tos/community/facilities/categories/subscribe/list', '0 请求预订列表', {}],
  ['/tos/community/facilities/get', '1 设施品类获取', {}],
  ['/tos/community/facilities/categories/detail/get', '2 缴费详情', {}],
  ['/tos/community/facilities/categories/fee/back', '3 退还押金', {}],
  ['/tos/community/facilities/categories/fee/pay', '4 缴费', {}],
  ['/tos/community/categories/subscribe/cancel', '5 取消预约', {}],
  ['/tos/community/facilities/add', '6 新增小区设施', {}],
  ['/tos/bookingService/lookUp', '7 查看小区设施', {}],
  ['/tos/community/facilities/fuzzy/query', '8 查看设施管理模糊', {}],
  ['/tos/community/categories/subscribe/fuzzy/query', '9 预订列表模糊查询', {}],
  ['/tos/user/newCurrentUser', '10 后台用户信息', {}],
  ['/tos/community/facilities/categories/subscribe', '11 预订', {}],

  // ['/tos/tosOwner/getAll', '12 业主查询', {}],
  ['/tos/owner/query/fuuzy', '12 业主查询', {}],
  ['/tos/tosOwner/getDetailAll', '13 业主查询详细', {}],
  ['/tos/tosOwner/save', '14 业主添加', {}],
  ['/tos/life/community/qr/get', '15 二维码查询', {}],
  ['/tos/life/community/account/unit/del', '16 删除单元', {}],
  ['/tos/bookingService/edit', '17 编辑小区设施', {}],
  ['/tos/tosOwner/info/update', '18 编辑业主信息', {}],

  ['/tos/contract/list', '19 获取合同列表', {}],
  ['/tos/contract/detail/query', '20 获取合同列表详情', {}],
  ['/tos/community/service/get/detail', '21 小区服务获取详情', {}],
  ['/tos/communtiy/service/reply', '22 小区回复', {}],
  ['/tos/property/decorate/record/get', '23 装修列表获取', {}],
  ['/tos/tosCommunity/get', '24 获取小区列表', {}],
  ['/tos/tosCommunityNotic/get', '25 获取小区公告列表', {}],
  ['/tos/tosVisitorRecord/get', '26 获取访客记录列表', {}],
  ['/tos/contract/add', '27 合同新增和编辑', {}],
  [
    '/tos/tosCommunityNotic/add',
    '28 新增小区公告接口',
    {
      noticTitle: 'Garden公告',
      communityNum: '珠江丽景小区',
      noticText: '今晚晚上停水4小时',
      noticScope: '1',
      noticStartTime: '2020-07-01 12:30:00',
      noticEndTime: '2020-08-01 9:30:00',
      file: ['A.jpg'],
    },
  ],
  // ['/tos/tosManageCommunity/save', '29 新建一个小区', {}],
  ['/tos/tosCommunity/save', '29 新建一个小区', {}],
  ['/tos/tosOrder/get', '30 获取订单详情', {}],
  ['/tos/property/community/houseCard/query', '31 获取住户卡列表', {}],
  ['/tos/tosCommunity/get/detail', '32 获取小区详情', {}],
  ['/tos/property/decorate/record/reply', '33 回复装修申请', {}],
  ['/tos/property/community/houseCard/reply', '34 回复住户卡申请', {}],
  ['/tos/home/page/community/houseCard/add', '35 申请住户卡', {}],
  ['/tos/property/community/houseCard/query/detail', '36 获取住户卡详情', {}],
  ['/tos/property/decorate/record/get/detail', '37 获取装修记录详情', {}],
  ['/tos/users/save', '38 新建后台信息', {}],
  [
    '/tos/life/community/account/member/del',
    '39 删除业主成员信息',
    {
      id: 'c06286cfe7b843cb96fdfcb987231123',
      ownerId: '6b359755a36b49c28241a4620fa6539b',
    },
  ],
  ['/tos/community/service/get', '40 获取小区服务回复列表', {}],
  [
    '/tos/users/save',
    '41 添加后台账号',
    {
      id: 'null',
      oneself: 0,
      tosUserEmail: 'sales@huahui.com',
      tosUserName: '小赵2',
      tosUserPhone: '020-8888-4444',
      tosUserPwd: '123456',
      tosUserToCompany: '1',
      tosUserServiceCell: '',
      tosuserLevel: 1,
      userStatus: 1,
    },
  ],
  [
    '/tos/account/permission/savePermission',
    '42 添加后台权限',
    {
      userName: '小赵2',
      userPassword: '123456',
      permissionArray: ['2', '1', '3', '4'],
    },
  ],
  ['/tos/tosServiceScope/get', '43 获取服务范围'],
  ['/tos/tosServiceScope/save', '44 添加服务范围'],
  [
    '/tos/user/getAllInfrom',
    '45 获取后台列表',
    {
      id: '',
      moment: [],
      name: '',
      leaderID: '1',
      userPhone: '',
    },
  ],
  ['/tos/tosServiceProvider/get', '46 获取服务商', {}],
  ['/tos/fileAndImage/preview', '47 获取附件地址', {}],
  ['/tos/tosCommunity/get/list', '48 修改获取小区列表', {}],
  ['/tos/community/delete', '49 关闭小区', {}],
  ['/tos/community/facilities/subscribeTime/query', '50 设施预订时间段查询', {}],
  ['/tos/user/infromation/get', '51 获取后台所有账号', {}],
  ['/tos/users/quitAndUser', '52 修改账号状态', {}],
  ['/tos/tosServiceScope/cancel', '53 删除服务范围'],
  ['/tos/user/permission/get', '54 根据用户名称获取用户权限', {}],
  ['/tos/tosCommunity/get/user', '55 根据用户id获取用户管辖小区名', {}],
];
